ContactSales
POST
/billing/v1/contact-salesRequest Body
requiredapplication/json{
"$ref": "#/components/schemas/billing.v1.ContactSalesRequest",
"$ref-value": {
"type": "object",
"properties": {
"org_id": {
"type": "string",
"examples": [
"OR98234j23"
],
"title": "org_id"
},
"first_name": {
"type": "string",
"examples": [
"Jane"
],
"title": "first_name",
"maxLength": 30
},
"last_name": {
"type": "string",
"examples": [
"Doe"
],
"title": "last_name",
"maxLength": 30
},
"email": {
"type": "string",
"examples": [
"billing@example.com"
],
"title": "email"
},
"company": {
"type": "string",
"examples": [
"Acme Inc"
],
"title": "company",
"maxLength": 64
},
"job_title": {
"type": "string",
"title": "job_title"
},
"phone": {
"type": "string",
"examples": [
"+15551234567"
],
"title": "phone"
},
"website": {
"type": "string",
"examples": [
"https://billing.example.com/portal"
],
"title": "website"
},
"message": {
"type": "string",
"examples": [
"I'd like a demo"
],
"title": "message",
"maxLength": 500
}
},
"title": "ContactSalesRequest",
"additionalProperties": false
}
}Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/billing.v1.SalesLead",
"$ref-value": {
"type": "object",
"properties": {
"id": {
"type": "string",
"title": "id"
},
"org_id": {
"type": "string",
"examples": [
"OR98234j23"
],
"title": "org_id"
},
"user_id": {
"type": "string",
"examples": [
"QwErTy1234"
],
"title": "user_id"
},
"first_name": {
"type": "string",
"examples": [
"Jane"
],
"title": "first_name",
"maxLength": 30
},
"last_name": {
"type": "string",
"examples": [
"Doe"
],
"title": "last_name",
"maxLength": 30
},
"email": {
"type": "string",
"examples": [
"billing@example.com"
],
"title": "email"
},
"company": {
"type": "string",
"examples": [
"Acme Inc"
],
"title": "company",
"maxLength": 64
},
"job_title": {
"type": "string",
"title": "job_title"
},
"phone": {
"type": "string",
"examples": [
"+15551234567"
],
"title": "phone"
},
"website": {
"type": "string",
"examples": [
"https://billing.example.com/portal"
],
"title": "website"
},
"message": {
"type": "string",
"examples": [
"I'd like a demo"
],
"title": "message",
"maxLength": 500
},
"status": {
"allOf": [
{
"$ref": "#/components/schemas/billing.v1.SalesLeadStatus",
"$ref-value": {
"type": "string",
"title": "SalesLeadStatus",
"enum": [
"SALES_LEAD_STATUS_UNSPECIFIED",
"SALES_LEAD_STATUS_NEW",
"SALES_LEAD_STATUS_CONTACTED",
"SALES_LEAD_STATUS_QUALIFIED",
"SALES_LEAD_STATUS_CLOSED"
]
}
}
],
"examples": [
"SALES_LEAD_STATUS_NEW"
],
"title": "status"
},
"created_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "created_at"
}
},
"title": "SalesLead",
"additionalProperties": false
}
}curl -X POST "https://api.rixl.com/billing/v1/contact-sales" \
-H "Content-Type: application/json" \
-d '{}'Success
application/json
{
"$ref": "#/components/schemas/billing.v1.SalesLead",
"$ref-value": {
"type": "object",
"properties": {
"id": {
"type": "string",
"title": "id"
},
"org_id": {
"type": "string",
"examples": [
"OR98234j23"
],
"title": "org_id"
},
"user_id": {
"type": "string",
"examples": [
"QwErTy1234"
],
"title": "user_id"
},
"first_name": {
"type": "string",
"examples": [
"Jane"
],
"title": "first_name",
"maxLength": 30
},
"last_name": {
"type": "string",
"examples": [
"Doe"
],
"title": "last_name",
"maxLength": 30
},
"email": {
"type": "string",
"examples": [
"billing@example.com"
],
"title": "email"
},
"company": {
"type": "string",
"examples": [
"Acme Inc"
],
"title": "company",
"maxLength": 64
},
"job_title": {
"type": "string",
"title": "job_title"
},
"phone": {
"type": "string",
"examples": [
"+15551234567"
],
"title": "phone"
},
"website": {
"type": "string",
"examples": [
"https://billing.example.com/portal"
],
"title": "website"
},
"message": {
"type": "string",
"examples": [
"I'd like a demo"
],
"title": "message",
"maxLength": 500
},
"status": {
"allOf": [
{
"$ref": "#/components/schemas/billing.v1.SalesLeadStatus",
"$ref-value": {
"type": "string",
"title": "SalesLeadStatus",
"enum": [
"SALES_LEAD_STATUS_UNSPECIFIED",
"SALES_LEAD_STATUS_NEW",
"SALES_LEAD_STATUS_CONTACTED",
"SALES_LEAD_STATUS_QUALIFIED",
"SALES_LEAD_STATUS_CLOSED"
]
}
}
],
"examples": [
"SALES_LEAD_STATUS_NEW"
],
"title": "status"
},
"created_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "created_at"
}
},
"title": "SalesLead",
"additionalProperties": false
}
}